ARIA::Base Class Reference
Inheritance diagram for ARIA::Base:

## Additional Inherited Members

Public Member Functions inherited from BlockCipherImpl< ARIA_Info >
unsigned int | BlockSize () const
| Provides the block size of the algorithm. More...
Public Member Functions inherited from AlgorithmImpl< BASE, ALGORITHM_INFO >
std::string | AlgorithmName () const
| The algorithm name. More...
Static Public Member Functions inherited from AlgorithmImpl< BASE, ALGORITHM_INFO >
static std::string | StaticAlgorithmName ()
| The algorithm name. More...

## Detailed Description

Definition at line 42 of file aria.h.

The documentation for this class was generated from the following files:

- aria.h
- aria.cpp